<?php


$all_options = get_site_option('world4levelhtml5map_options', array());

$options_keys = array_keys($all_options);
$def_map_id = reset($options_keys);

$map_id = isset($_GET['map_id']) ? (int)$_GET['map_id'] : $def_map_id;
if (!isset($all_options[$map_id])) {
?>
<script>
    //document.location.href="?page=world4level-map-plugin-options&map_id=<?php echo $def_map_id ?>";
</script>
<?php
//return;
}
if ( ! isset($all_options[$map_id]))
    $all_options[$map_id] = world4level_map_plugin_map_defaults();

$map_options = &$all_options[$map_id]['map'];
$default_options = world4level_map_plugin_map_defaults($map_options['name'], $map_id, true);
foreach($default_options as $k => $v) if (!isset($map_options[$k])) $map_options[$k] = $v;

if(isset($_POST['act_type']) && $_POST['act_type'] == 'world4levelhtml5map_map_plugin_main_save') {
    //$map_options['nameFontSize'] = $_POST['name_font_size'].'px';
    if ( ! empty($_POST['name'])) $map_options['name'] = sanitize_text_field(stripslashes($_POST['name']));
    $map_options['borderColor'] = $_POST['borders_color'][0] == '#' ? $_POST['borders_color'] : '#'.$_POST['borders_color'];
    $map_options['borderColorOver'] = $_POST['borders_color_over'][0] == '#' ? $_POST['borders_color_over'] : '#'.$_POST['borders_color_over'];
    $map_options['borderWidth'] = max(0, min((float) $_POST['borders_width'], 5));
    $map_options['nameColor'] = $_POST['name_color'][0] == '#' ? $_POST['name_color'] : '#'.$_POST['name_color'];
    $map_options['nameColorOver'] = $_POST['name_color_over'][0] == '#' ? $_POST['name_color_over'] : '#'.$_POST['name_color_over'];
    $map_options['nameFontSize'] = min(20, max(5, (int)$_POST['name_size'])).'px';
    $map_options['nameFontFamily'] = sanitize_text_field(stripslashes($_POST['name_font']));
    if (isset($_POST['enable_stroke'])) {
        $map_options['nameStroke'] = true;
        $map_options['nameStrokeColor'] = $_POST['stroke_color'][0] == '#' ? $_POST['stroke_color'] : '#'.$_POST['stroke_color'];
        $map_options['nameStrokeColorOver'] = $_POST['stroke_color_over'][0] == '#' ? $_POST['stroke_color_over'] : '#'.$_POST['stroke_color_over'];
        $map_options['nameStrokeWidth'] = max(0, min((float) $_POST['stroke_width'], 5));
        $map_options['nameStrokeOpacity'] = max(0, min((float) $_POST['stroke_opacity'], 15));
    } else
        $map_options['nameStroke'] = false;
    #$map_options['popupWidth'] = $_POST['popupWidth'];
    if ( ! empty($_POST['mapWidth'])) $map_options['mapWidth'] = $_POST['mapWidth'];
    if ( ! empty($_POST['mapHeight'])) $map_options['mapHeight'] = $_POST['mapHeight'];
    if (isset($_POST['maxWidth'])) $map_options['maxWidth'] = $_POST['maxWidth'];
    if ( ! empty($_POST['backButtonText'])) $map_options['backButtonText'] = $_POST['backButtonText'];
    #$map_options['statesInfoArea'] = $_POST['statesArea'];
    $map_options['layoutType'] = $_POST['layoutType'];
    $map_options['contentArea'] = $_POST['contentArea'];
    $map_options['contentWidth'] = $_POST['contentWidth'];
    
    if ( ! empty($_REQUEST['defaultAddInfo']))
        $map_options['defaultAddInfo'] = wp_kses_post(stripslashes($_REQUEST['defaultAddInfo']));
    else
        $map_options['defaultAddInfo'] = '';
    /*$lp = $_POST['linkProcessing'];
    $map_options['linkProcessing'] = in_array($lp, array('slugify', 'urlencode')) ? $lp : false;*/

    $map_options['autoScrollToInfo'] = !empty($_POST['autoScrollToInfo']);
    $map_options['autoScrollOffset'] = min(500, max(-500, (int)$_POST['autoScrollOffset']));

    $map_options['disableCache']     = !empty($_POST['disableCache']);
    $map_options['minimizeOutput']   = !empty($_POST['minimizeOutput']);

    update_site_option('world4levelhtml5map_options', $all_options);
}
elseif(isset($_POST['act_type']) && $_POST['act_type'] == 'world4levelhtml5map_map_plugin_update_all') {
    $states_cfgs = &$all_options[$map_id]['states'];
    $colors_map = array(
        'color' => 'area_color',
        'color2' => 'area_color_over',
        'color3' => 'area_color_selected',
    );

    foreach ($states_cfgs as $cfg_name => &$cfg) {
        $states = json_decode($cfg, true);
        if( ! $states) continue;
        foreach ($states as &$state) {
            foreach ($colors_map as $mf => $pf) {
                if (empty($_POST[$pf]) or $_POST[$pf] == '#' or $_POST[$pf] == 'keep')
                    continue;
                if ($_POST[$pf][0] !== '#') $_POST[$pf] = '#'.$_POST[$pf];
                $state[$mf] = $_POST[$pf];
            }
        }
        $cfg = json_encode($states);
    }

    update_site_option('world4levelhtml5map_options', $all_options);
}

$layoutType   = $map_options['layoutType'];
$contentArea  = $map_options['contentArea'];
$contentWidth = $map_options['contentWidth'];
$statesArea   = $map_options['statesInfoArea'];


echo "<div class=\"wrap\"><h2>" . __('HTML5 Map Config', 'world4level-html5-map') . "</h2>";

?>
<script xmlns="http://www.w3.org/1999/html">
    jQuery(function(){
        jQuery('.tipsy-q').tipsy({gravity: 'w'}).css('cursor', 'default');

        if (typeof jscolor === 'undefined' || jscolor.bindColor !== 'color')
        {
            jQuery('.color~.flamap-colorpicker').each(function(){
                jQuery(this).farbtastic(jQuery(this).prev().prev());
                jQuery(this).hide();
                jQuery(this).prev().prev().bind('focus', function(){
                    jQuery(this).next().next().fadeIn();
                });
                jQuery(this).prev().prev().bind('blur', function(){
                    jQuery(this).next().next().fadeOut();
                });
            });
        }

        jQuery('[name=contentArea], [name=layoutType]').on('change', function(){
            processRespRight();
        });

        jQuery('select[name=map_id]').change(function() {
            location.href='admin.php?page=world4level-map-plugin-options&map_id='+jQuery(this).val();
        });

        jQuery('[name=layoutType]').on('change', function () {
                jQuery('[name=mapWidth], [name=mapHeight]').prop('disabled', jQuery('[name=layoutType]:checked').val()=='resp');
                jQuery('[name=maxWidth]').prop('disabled', jQuery('[name=layoutType]:checked').val()=='fixed');
        }).trigger('change');

        jQuery('[name=enable_stroke]').on('change', function () {
                jQuery('[name^=stroke_]').prop('disabled', jQuery('[name=enable_stroke]:checked').val() ? false : true);
        }).trigger('change');

        jQuery('select[name=contentArea]').change(function() {
            jQuery('input[name=autoScrollToInfo]').prop('disabled', jQuery('select[name=contentArea]').val() == 'bottom' ? false : true);
        }).trigger('change');

        jQuery('input[name=autoScrollToInfo]').change(function() {
            jQuery('#autoScrollOffsetBlock').css('visibility', jQuery(this).prop('checked') ? 'visible' : 'hidden');
        }).trigger('change');

    });

    function processRespRight() {
        if((jQuery('[name=contentArea]').val() == 'right' || jQuery('[name=contentArea]').val() == 'left') && jQuery('[name=layoutType]:checked').val()=='resp') {
            jQuery('.percent-width-block').show();
        }
        else {
            jQuery('.percent-width-block').hide();
        }
    }
</script>
<form method="POST" class="world4levelhtml5map-html5-map">
<br />
    <span class="title"><?php _e('Select a map:', 'world4level-html5-map'); ?></span>

    <select name="map_id" style="width: 185px;">
        <?php foreach($all_options as $id => $map_data) { ?>
            <option value="<?php echo $id; ?>" <?php echo ($id==$map_id)?'selected':'';?>><?php echo $map_data['map']['name']; ?></option>
        <?php } ?>
    </select>
    <span class="tipsy-q" original-title="<?php _e('The map', 'world4level-html5-map'); ?>">[?]</span>
    <a href="admin.php?page=world4level-map-plugin-maps" class="page-title-action" style="top: 2px; margin-left: 8px"><?php
    _e('Maps list', 'world4level-html5-map') ?></a>
    <br /><br />

    <?php world4level_map_plugin_nav_tabs('options', $map_id); ?>

    <p><?php _e('Specify general settings of the map. To choose a color, click a color box, select the desired color in the color selection dialog and click anywhere outside the dialog to apply the chosen color.', 'world4level-html5-map') ?></p>

    <fieldset>
    <legend class="settings-chapter">
        <?php _e('Map Settings', 'world4level-html5-map') ?>
    </legend>
    <span class="title"><?php _e('Map name:', 'world4level-html5-map') ?></span><input class="span2" type="text" name="name" value="<?php echo $map_options['name']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The name of the map', 'world4level-html5-map'); ?>">[?]</span><br />

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Layout type:', 'world4level-html5-map') ?></span>
    <label><?php _e('Fixed:', 'world4level-html5-map') ?> <input type="radio" name="layoutType" value="fixed" <?php echo $layoutType == 'fixed' ? 'checked' : ''?> /></label>&nbsp;&nbsp;
    <label><?php _e('Responsive:', 'world4level-html5-map') ?> <input type="radio" name="layoutType" value="resp" <?php echo $layoutType == 'resp' ? 'checked' : ''?> /></label>&nbsp;&nbsp;
    <br />
    <br />

    <span class="title"><?php _e('Map width:', 'world4level-html5-map') ?></span><input class="span2" type="text" name="mapWidth" value="<?php echo $map_options['mapWidth']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The width of the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>
    <div style="width:50%; float: left">
    <span class="title"><?php _e('Max width:', 'world4level-html5-map') ?></span><input class="span2" type="text" name="maxWidth" value="<?php echo $map_options['maxWidth']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The max width of the map. Leave empty if unlimited.', 'world4level-html5-map'); ?>">[?]</span><br />

    <span class="title"><?php _e('Map height:', 'world4level-html5-map') ?></span><input class="span2" type="text" name="mapHeight" value="<?php echo $map_options['mapHeight']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The height of the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>
    <div style="clear:both"/>


    
<!--     <div style="position: relative; margin-top: 20px"><?php _e('Popup State Names Settings', 'world4level-html5-map') ?></div> -->
    <br/><hr /><br/>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Borders color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="borders_color" value="<?php echo $map_options['borderColor']; ?>" style="background-color: #<?php echo $map_options['borderColor']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of borders on the map', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Borders width:', 'world4level-html5-map') ?></span><input type="text" name="borders_width" value="<?php echo $map_options['borderWidth']; ?>"/>
    <span class="tipsy-q" original-title="<?php esc_attr_e('The width of borders on the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Borders hover color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="borders_color_over" value="<?php echo $map_options['borderColorOver']; ?>" style="background-color: #<?php echo $map_options['borderColorOver']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of borders on the map when mouse is over it', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />
    </div>
    <div style="clear:both"/>

    <br/><hr /><br/>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Name color:', 'world4level-html5-map') ?></span><input id='color' class="color" type="text" name="name_color" value="<?php echo $map_options['nameColor']; ?>" style="background-color: #<?php echo $map_options['nameColor']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of names on the map', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Name size:', 'world4level-html5-map') ?></span><input id='size' type="text" name="name_size" value="<?php echo (int)($map_options['nameFontSize']); ?>" /> px
    <span class="tipsy-q" original-title="<?php esc_attr_e('The size of names on the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Name hover color:', 'world4level-html5-map') ?></span><input id='color2' class="color" type="text" name="name_color_over" value="<?php echo $map_options['nameColorOver']; ?>" style="background-color: #<?php echo $map_options['nameColorOver']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of names on the map', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Name font family:', 'world4level-html5-map') ?></span><input id='font' type="text" name="name_font" value="<?php echo htmlspecialchars($map_options['nameFontFamily']); ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The font of names on the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>
    <div style="clear:both"/>

    <label style="margin-bottom: 10px; margin-top: 2px" class="title" for="enable_stroke"><?php _e('Name stroke', 'world4level-html5-map') ?></label> <input name="enable_stroke" id="enable_stroke" type="checkbox" <?php if ($map_options['nameStroke']) echo 'checked="checked"' ?> /><br/>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Stroke color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="stroke_color" value="<?php echo $map_options['nameStrokeColor']; ?>" style="background-color: #<?php echo $map_options['nameStrokeColor']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of name strokes on the map', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Stroke width:', 'world4level-html5-map') ?></span><input type="text" name="stroke_width" value="<?php echo $map_options['nameStrokeWidth']; ?>"/>
    <span class="tipsy-q" original-title="<?php esc_attr_e('The width of name strokes on the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>

    <div style="width:50%; float: left">
    <span class="title"><?php _e('Stroke hover color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="stroke_color_over" value="<?php echo $map_options['nameStrokeColorOver']; ?>" style="background-color: #<?php echo $map_options['nameStrokeColorOver']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('The color of name strokes on the map', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Stroke opacity:', 'world4level-html5-map') ?></span><input type="text" name="stroke_opacity" value="<?php echo $map_options['nameStrokeOpacity']; ?>"/>
    <span class="tipsy-q" original-title="<?php esc_attr_e('The opacity of name strokes on the map', 'world4level-html5-map'); ?>">[?]</span><br />
    </div>
    <div style="clear:both"/>

    <br/><hr /><br/>

    <?php /* ?>
    <span class="title"><?php _e('Urls processing:', 'world4level-html5-map') ?></span>
        <label><input type="radio" name="linkProcessing" value="" <?php if (!$map_options['linkProcessing']) echo 'checked="checked"'; ?> />&nbsp;<?php _e('do not process', 'world4level-html5-map'); ?></label>
        <span class="tipsy-q" original-title="<?php esc_attr_e('Do not do any specific actions with urls', 'world4level-html5-map'); ?>">[?]</span>&nbsp;&nbsp;

        <label><input type="radio" name="linkProcessing" value="urlencode" <?php if ($map_options['linkProcessing'] == 'urlencode') echo 'checked="checked"'; ?> />&nbsp;<?php _e('process with url-encoding', 'world4level-html5-map'); ?></label>
        <span class="tipsy-q" original-title="<?php esc_attr_e('Replace placeholders and url-encode them (ex.: "State name" => "State%20name"', 'world4level-html5-map'); ?>">[?]</span>&nbsp;&nbsp;

        <label><input type="radio" name="linkProcessing" value="slugify" <?php if ($map_options['linkProcessing'] == 'slugify') echo 'checked="checked"'; ?> />&nbsp;<?php _e('process with slugification', 'world4level-html5-map'); ?></label>
        <span class="tipsy-q" original-title="<?php esc_attr_e('Replace placeholders and slugify them (ex.: "State name" => "state-name")', 'world4level-html5-map'); ?>">[?]</span>&nbsp;&nbsp;

        <br />
    <p class="help">
        <?php _e('On any processing, you can specify following placeholders: {name}, {shortname} and {id}. They will be replaced with corresponding area values.', 'world4level-html5-map'); ?><br/>
        <?php _e('Example: <b>/page.php?state={name}</b> => <b>/page.php?state=Washington</b>.', 'world4level-html5-map'); ?><br/>
    </p>

    <br/><hr /><br/>
    <?php */ ?>

    <span class="title"><?php _e('Back button text:', 'world4level-html5-map') ?></span><input type="text" name="backButtonText" value="<?php echo $map_options['backButtonText']; ?>" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('Back button text', 'world4level-html5-map'); ?>">[?]</span><br />

    </fieldset>
    
    <fieldset>
        <legend><?php _e('Content info', 'world4level-html5-map'); ?></legend>
        
        <span class="title"><?php _e('Content area:', 'world4level-html5-map') ?></span>
    <select name="contentArea" style="width: 187px" autocomplete="off">
        <option <?php echo $contentArea == 'top'    ? 'selected' : ''?> value="top"><?php _e('Top', 'world4level-html5-map') ?></option>
        <option <?php echo $contentArea == 'bottom' ? 'selected' : ''?> value="bottom"><?php _e('Bottom', 'world4level-html5-map') ?></option>
        <option <?php echo $contentArea == 'left'   ? 'selected' : ''?> value="left"><?php _e('Left', 'world4level-html5-map') ?></option>
        <option <?php echo $contentArea == 'right'  ? 'selected' : ''?> value="right"><?php _e('Right', 'world4level-html5-map') ?></option>
    </select><br><br>

    <div style="float: left; width: 50%;">
        <label><input type="checkbox" name="autoScrollToInfo" <?php echo $map_options['autoScrollToInfo'] ?'checked="checked"':''?>>
        <?php _e('Automatically scroll to info area on click', 'world4level-html5-map')?></label>
    </div>
    <div style="float: left; width: 50%; visibility: hidden" id="autoScrollOffsetBlock">
        <span class="title"><?php _e('Offset from top:', 'world4level-html5-map'); ?> </span><input class="span2" type="text" name="autoScrollOffset" value="<?php echo $map_options['autoScrollOffset']; ?>" />
        <span class="tipsy-q" original-title="<?php esc_attr_e('Offset in px to prevent fixed headers move on info area', 'world4level-html5-map'); ?>">[?]</span>
    </div>
    <div class="clear"></div>

    <br />

    <div class="hide-all percent-width-block">
        <span class="title"><?php _e('Map Width:', 'world4level-html5-map') ?></span>
        <select name="contentWidth" style="width: 187px">
            <?php for($i = 40; $i <= 80; $i += 10):?>
                <option <?php echo $contentWidth == $i ? 'selected' : ''?> value="<?php echo $i?>"><?php echo $i?>%</option>
            <?php endfor;?>
        </select>
        <br />
    </div><br />
    
    <div id="action-info">
        <span class="title"><?php _e('Default content:', 'world4level-html5-map'); ?> <span class="tipsy-q" original-title="<?php esc_attr_e('Default content that will be shown in area for additional information', 'world4level-html5-map'); ?>">[?]</span> </span>
        <br/><br/>
        <?php wp_editor(isset($map_options['defaultAddInfo']) ? $map_options['defaultAddInfo'] : '', 'defaultAddInfo', world4level_map_plugin_mce_options('defaultAddInfo')); ?>
    </div>

    </fieldset>

    <fieldset class="font-sizes">
        <legend><?php _e('Performance settings', 'world4level-html5-map'); ?></legend>

        <span class="title"><?php _e('Minimize code output:', 'world4level-html5-map'); ?> </span><input type="checkbox" name="minimizeOutput" value="1" <?php echo $map_options['minimizeOutput'] ?'checked="checked"':'' ?> />
        <span class="tipsy-q" original-title="<?php esc_attr_e('With this option enabled code output will be in one line', 'world4level-html5-map'); ?>">[?]</span><br />

        <span class="title"><?php _e('Prevent settings caching:', 'world4level-html5-map'); ?> </span><input type="checkbox" name="disableCache" value="1" <?php echo $map_options['disableCache'] ?'checked="checked"':'' ?> />
        <span class="tipsy-q" original-title="<?php esc_attr_e('This option will force browsers to load actual map configuration every time', 'world4level-html5-map'); ?>">[?]</span><br />
        <div class="clear" style="margin-bottom: 10px"></div>

    </fieldset>

    <input type="hidden" name="act_type" value="world4levelhtml5map_map_plugin_main_save" />
    <p class="submit"><input type="submit" value="<?php esc_attr_e('Save Changes', 'world4level-html5-map') ?>" class="button-primary" id="submit" name="submit"></p>
</form>

<form method="POST" class="world4levelhtml5map-html5-map">
    <fieldset>
    <legend class="settings-chapter">
        <?php _e('Update color settings for all states and counties', 'world4level-html5-map') ?>
    </legend>
    <p style="color: red"><?php _e('This action will override all individual settings.', 'world4level-html5-map') ?></p>

    <span class="title"><?php _e('Area color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="area_color" value="keep" style="background-color: #ffffff" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('Default color', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Area hover color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="area_color_over" value="keep" style="background-color: #ffffff" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('Hover color', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />

    <span class="title"><?php _e('Area selected color:', 'world4level-html5-map') ?></span><input class="color" type="text" name="area_color_selected" value="keep" style="background-color: #ffffff" />
    <span class="tipsy-q" original-title="<?php esc_attr_e('Selected color', 'world4level-html5-map'); ?>">[?]</span><div class="flamap-colorpicker"></div><br />


    <input type="hidden" name="act_type" value="world4levelhtml5map_map_plugin_update_all" />
    <p class="submit"><input type="submit" value="<?php esc_attr_e('Update all colors', 'world4level-html5-map') ?>" class="button-primary" id="submit" name="submit"></p>
    </fieldset>
</form>

</div>
