<?php

$all_options = get_site_option('world4levelhtml5map_options', array());
$options_keys = array_keys($all_options);
$def_map_id = reset($options_keys);

$map_id = isset($_GET['map_id']) ? (int)$_GET['map_id'] : $def_map_id;

if ( ! isset($all_options[$map_id]))
    $all_options[$map_id] = world4level_map_plugin_map_defaults();

$map_options = &$all_options[$map_id];

if (world4level_map_plugin_fix_old_map($map_options)) {
    update_site_option('world4levelhtml5map_options', $all_options);
}

$id2cfg_map = $map_options['id2cfg'];
$main_continents   = json_decode($map_options['states']['main.cfg.js'], true);

$state_ids = $orig_states = (isset($_GET['state_id']) AND $_GET['state_id']) ? explode(':', $_GET['state_id']) : array();

$country_id = array_pop($state_ids);
$continent_id = array_pop($state_ids);

$has_substates = isset($id2cfg_map[$country_id]);

$cont_cfg_path = 'main.cfg.js';
$countries = $main_continents;
if ($continent_id AND ! isset($main_continents[$country_id])) {
    $cont_cfg_path = $id2cfg_map[$continent_id];
    $countries = json_decode($map_options['states'][$cont_cfg_path], true);
}


if(isset($_POST['act_type']) && $_POST['act_type'] == 'world4levelhtml5map_map_plugin_states_save') {

    $s_id = $country_id;

    $countries[$s_id]['popup_type'] = 1;

    foreach(array('color', 'color_', 'color3') as $cf)
        if (isset($_POST[$cf][$country_id]) AND $_POST[$cf][$country_id] AND $_POST[$cf][$country_id][0] !== '#') $_POST[$cf][$country_id] = '#'.$_POST[$cf][$country_id];

    if(isset($_POST['name'][$country_id]) AND $_POST['name'][$country_id])
        $countries[$s_id]['name'] = sanitize_text_field($_POST['name'][$country_id]);

    if(isset($_POST['_hide_name'][$country_id]))
        $countries[$s_id]['_hide_name'] = 1;
    else
        unset($countries[$s_id]['_hide_name']);

    if(isset($_POST['shortname'][$country_id])) {
        $_POST['shortname'][$country_id] = str_replace('\\\\n',"\n", stripslashes($_POST['shortname'][$country_id]));
        $countries[$s_id]['shortname'] = sanitize_text_field($_POST['shortname'][$country_id]);
        $countries[$s_id]['shortname'] = str_replace('\\n', "\n", $countries[$s_id]['shortname']);
    }
        
    if (intval($_POST['fontSize'][$country_id]))
        $countries[$s_id]['fontSize'] = max(3, min(30, intval($_POST['fontSize'][$country_id])));
    else
        unset($countries[$s_id]['fontSize']);

    if(isset($_POST['URL'][$country_id])) {
        if (isset($_POST['URLswitch'][$country_id]) AND $_POST['URLswitch'][$country_id] == 'substates') {
            $countries[$s_id]['allowOpen'] = true;
            $countries[$s_id]['url'] = '';
            $countries[$s_id]['target'] = '';
            $countries[$s_id]['isNewWindow'] = '';
            $countries[$s_id]['showInfo'] = (isset($_POST['openAndShowInfo'][$country_id]) AND $_POST['openAndShowInfo'][$country_id]);
        } else {
            $countries[$s_id]['allowOpen'] = false;
            $countries[$s_id]['url'] = stripslashes($_POST['URL'][$country_id]);
            $countries[$s_id]['isNewWindow'] = !empty($_POST['isNewWindow'][$country_id]);
            $countries[$s_id]['target'] = ($countries[$s_id]['isNewWindow'] && !empty($_POST['target'][$country_id])) ? stripslashes($_POST['target'][$country_id]) : '';
            $countries[$s_id]['showInfo'] = preg_match('/javascript/', $countries[$s_id]['url']);
            if ($countries[$s_id]['showInfo']) {
                $countries[$s_id]['url'] = '';
                $countries[$s_id]['isNewWindow'] = '';
                $countries[$s_id]['target'] = '';
            }
        }
    }

    if(isset($_POST['info'][$country_id]))
        $countries[$s_id]['popup'] = wp_kses_post(stripslashes($_POST['info'][$country_id]));

    if(isset($_POST['image'][$country_id]))
        $countries[$s_id]['image'] = stripslashes($_POST['image'][$country_id]);

    if(isset($_POST['color'][$country_id]))
        $countries[$s_id]['color'] = stripslashes($_POST['color'][$country_id]);

    if(isset($_POST['color_'][$country_id]))
        $countries[$s_id]['color2'] = stripslashes($_POST['color_'][$country_id]);

    if(isset($_POST['color3'][$country_id]) and $_POST['color3'][$country_id] != '#')
        $countries[$s_id]['color3'] = $_POST['color3'][$country_id];

    if(isset($_POST['descr'][$country_id]))
        $map_options['info'][$country_id] = stripslashes($_POST['descr'][$country_id]);

    if(isset($_POST['colorSimpleCh'][$country_id])) {
        foreach($countries as $k=>$v) {
            $countries[$k]['color'] = $_POST['color'][$country_id];
        }
    }

    if(isset($_POST['colorOverCh'][$country_id])) {
        foreach($countries as $k=>$v) {
            $countries[$k]['color2'] = $_POST['color_'][$country_id];
        }
    }

    if(isset($_POST['colorClickedCh'][$country_id])) {
        foreach($countries as $k=>$v) {
            $countries[$k]['color3'] = $_POST['color3'][$country_id];
        }
    }

    if(isset($_POST['URLswitchAll'][$country_id])) {

        foreach($countries as $k=>$v) {
            $countries[$k]['URLswitch'] = $_POST['URLswitch'][$country_id];

            if ($_POST['URLswitch'][$country_id]=='nill') {
                $countries[$k]['url'] = '';
            } else if ($_POST['URLswitch'][$country_id]=='other') {
                //$countries[$k]['url'] = stripslashes($_POST['URL'][$country_id]);
            } else if ($_POST['URLswitch'][$country_id]=='more') {
                $countries[$k]['url']  = 'javascript:world4levelhtml5map_map_set_state_text(\''.$k.'\');';
            }

        }
    }

    $map_options['states'][$cont_cfg_path] = json_encode($countries);

    update_site_option('world4levelhtml5map_options', $all_options);
}
elseif (isset($_POST['action']) && $_POST['action'] == 'world4level-map-plugin-import-csv') {
    if (world4level_map_plugin_import_csv($errors)) {
        $all_options = get_site_option('world4levelhtml5map_options', array());
        $map_options = &$all_options[$map_id]['map'];
        echo "<div class='updated'>".__('Configuration successfully imported!', 'world4level-html5-map')."</div>\n";
    } else {
        foreach ($errors as $error) {
            echo '<div class="error">'.$error."</div>\n";
        }
    }
}

function world4level_map_plugin_build_options($map_data, $region_cfg = "main.cfg.js", $parent_str = '') {
    if ( ! isset($map_data['states'][$region_cfg]))
        return 0;
    $data = json_decode($map_data['states'][$region_cfg], true);
    foreach ($data as $rid => $rdata) {
        $selected = false;
        echo "\t<option value=\"$rid\" $selected>${parent_str}$rdata[name]</option>\n";
        if ($rdata['config']) {
            world4level_map_plugin_build_options($map_data, $rdata['config'], "${parent_str}$rdata[name] >> ");
        }
    }
}

echo "<div class=\"wrap\"><h2>" . __('Configuration of Map Areas', 'world4level-html5-map') . "</h2>";

?>
<script>
    var imageFieldId = false;
    jQuery(function(){
        jQuery('.tipsy-q').tipsy({gravity: 'w'}).not('.page-title-action').css('cursor', 'default');

        if (typeof jscolor === 'undefined' || jscolor.bindColor !== 'color')
        {
            jQuery('.color~.flamap-colorpicker').each(function(){
                var me = this;

                jQuery(this).farbtastic(function(color){

                    var textColor = this.hsl[2] > 0.5 ? '#000' : '#fff';

                    jQuery(me).prev().prev().css({
                        background: color,
                        color: textColor
                    }).val(color);

                    if(jQuery(me).next().find('input').prop('checked')) {
                        return;
                        var dirClass = jQuery(me).prev().prev().hasClass('colorSimple') ? 'colorSimple' : 'colorOver';

                        jQuery('.'+dirClass).css({
                            background: color,
                            color: textColor
                        }).val(color);
                    }

                });

                jQuery.farbtastic(this).setColor(jQuery(this).prev().prev().val());

                jQuery(jQuery(this).prev().prev()[0]).bind('change', function(){
                    jQuery.farbtastic(me).setColor(this.value);
                });

                jQuery(this).hide();
                jQuery(this).prev().prev().bind('focus', function(){
                    jQuery(this).next().next().fadeIn();
                });
                jQuery(this).prev().prev().bind('blur', function(){
                    jQuery(this).next().next().fadeOut();
                });
            });
        }
        
        var el_id = "<?php echo $country_id?>";
        
        function revalidateURLState() {
            var urlSelected = jQuery(".stateinfo input:radio:checked").prop('id').charAt(0) === 'u';
            if (urlSelected) {
                jQuery("#URL"+el_id).val("http://");
                jQuery("#stateURL"+el_id).fadeIn(0);
            } else {
                jQuery("#URL"+el_id).val("");
                jQuery("#stateURL"+el_id).fadeOut(0);
            }
        }
        
        function revalidateMoreInfoState() {
            if (!jQuery(".stateinfo input:radio:checked").prop('id'))
                return;
            var moreInfoSelected = jQuery(".stateinfo input:radio:checked").prop('id').charAt(0) === 'm';
            var openSubstatesSelected = jQuery(".stateinfo input:radio:checked").prop('id').charAt(0) === 's';
            var openAndShowInfo = jQuery("#openAndShowInfo").prop('checked');
            
            if (moreInfoSelected || (openSubstatesSelected && openAndShowInfo)) {
                jQuery("#stateDescr"+el_id).fadeIn(0);
            } else {
                jQuery("#stateDescr"+el_id).fadeOut(0);
            }

            if (moreInfoSelected) {
                jQuery("#URL"+el_id).val("javascript:world4levelhtml5map_map_set_state_text('"+el_id+"')");
            }
            
            if (openSubstatesSelected) {
                jQuery("label[for='openAndShowInfo']").show();
            } else {
                jQuery("label[for='openAndShowInfo']").hide();
            }
        }

        jQuery('.stateinfo input:radio').click(function(){
            revalidateURLState();
            revalidateMoreInfoState();
        });
        
        jQuery('#openAndShowInfo').change(revalidateMoreInfoState);
//         revalidateURLState();
        revalidateMoreInfoState();

        jQuery('.colorSimpleCh').bind('click', function(){
            if(this.checked) {
                jQuery('.colorSimpleCh').prop('checked', false);
                this.checked = true;
            }
        });

        jQuery('.colorOverCh').bind('click', function(){
            if(this.checked) {
                jQuery('.colorOverCh').prop('checked', false);
                this.checked = true;
            }
        });

        jQuery('.world4levelhtml5map-acs-label').click(function() {
            jQuery('.world4levelhtml5map-acs-label, .world4levelhtml5map-acs').toggleClass('world4levelhtml5map-closed')
        });

        jQuery('.csv-import').click(function() {
            jQuery('input[name=csv-file]').click();
            return false;
        });

        jQuery('input[name=csv-file]').change(function() {
            var btn  = jQuery('.csv-import');
            var text = jQuery(btn).data('text') ? jQuery(btn).data('text') : jQuery(btn).text();

            jQuery(btn).data('text',text);

            jQuery('.csv-import').text(text + " (" + jQuery(this).val() + ")");
            if (this.checkValidity && !this.checkValidity())
                return;
            jQuery('input[name=action]').val('world4level-map-plugin-import-csv');
            jQuery('form[name=action_form_import]').submit();
        });

        window.send_to_editorArea = window.send_to_editor;

        window.send_to_editor = function(html) {
            if(imageFieldId === false) {
                window.send_to_editorArea(html);
            }
            else {
                var imgurl = jQuery('img',html).prop('src');
                jQuery('#'+imageFieldId).val(imgurl);
                imageFieldId = false;

                tb_remove();
            }

        }

        if(typeof tinyMCE !== "undefined") {
            tinyMCE.execCommand('mceAddControl', true, 'descr'+this.value)
        }

    });

    function clearImage(f) {
        jQuery(f).prev().val('');
    }

    function adjustSubmit() {
        if(jQuery('.colorOverCh:checked').length > 0) {
            var ch = jQuery('.colorOverCh:checked')[0];
            var color = jQuery(ch).parent().prev().prev().prev().val();
            jQuery('.colorOver').val(color);
        }

        if(jQuery('.colorSimpleCh:checked').length > 0) {
            var ch = jQuery('.colorSimpleCh:checked')[0];
            var color = jQuery(ch).parent().prev().prev().prev().val();
            jQuery('.colorSimple').val(color);
        }
    }
</script>

<br />
<form method="POST" class="world4levelhtml5map-html5-map" onsubmit="">
    <?php
    world4level_map_plugin_map_selector('states', $map_id, $all_options);
    echo "<br/><br/>\n";
    world4level_map_plugin_nav_tabs('states', $map_id);
    ?>

    <p><?php _e('This tab allows you to add the area*-specific information and adjust colors, tooltips, links and other settings of an individual area on the map in the built-in editor.', 'world4level-html5-map') ?>
    <?php _e('You can also export or import area data to adjust settings of multiple areas at once.', 'world4level-html5-map') ?></p>

    <h3><?php _e('Built-in editor', 'world4level-html5-map') ?></h3>
    <?php
    echo world4level_map_plugin_draw_map_menu('states', $map_options, $map_id, $main_continents, $orig_states);


    if ($country_id) {

        $country = $countries[$country_id];

        $vals = $country;
        $rad_nill = "";
        $rad_url = "";
        $rad_more = "";
        $rad_substates = "";
        $style_input = "";
        $style_area = "";

        foreach (array('shortname', 'url', 'color', 'color2', 'color3', 'image', 'fontSize') as $f)
            if (!isset($vals[$f])) $vals[$f] = '';

        $vals['shortname'] = str_replace("\n",'\n',$vals['shortname']);

        $showInfo = (isset($vals['showInfo']) AND $vals['showInfo']);

        if (stripos($vals['url'], "javascript:world4levelhtml5map_map_set_state_text") !== false) $rad_more = "checked";
        elseif (trim($vals['url']) != "") $rad_url = "checked";
        elseif (($has_substates AND !isset($vals['allowOpen'])) OR (isset($vals['allowOpen']) AND $vals['allowOpen'])) $rad_substates = "checked";
        elseif ($showInfo) $rad_more = "checked";
        else $rad_nill = "checked";

        if($rad_url !== "checked") $style_input = "display: none;";
        if($rad_more !== "checked" and !$showInfo) $style_area = "display: none;";
        ?>
        <br /><br />
        <fieldset>
        <legend><?php echo sprintf(__('Settings for %s', 'world4level-html5-map'), $vals['name']); ?></legend>
        <div style="" id="stateinfo-<?php echo $country_id?>" class="stateinfo">
            <span class="title"><?php _e('Name:', 'world4level-html5-map'); ?> </span><input class="" type="text" name="name[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['name']) ?>" />
            <span class="tipsy-q" original-title="<?php esc_attr_e('Name of Area', 'world4level-html5-map'); ?>">[?]</span>
            <label style="padding-left: 20px"><input type="checkbox" name="_hide_name[<?php echo $country_id?>]" <?php echo isset($vals['_hide_name']) ? 'checked="checked"' : '' ?>>
            <?php _e('do not show popup name', 'world4level-html5-map'); ?>
            </label>
            <div class="clear"></div>
            
            <div style="float: left; width: 50%">
            <span class="title"><?php _e('Shortname:', 'world4level-html5-map'); ?> </span><input class="" type="text" name="shortname[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['shortname']) ?>" />
            <span class="tipsy-q" original-title="<?php esc_attr_e('Shortname of Area', 'world4level-html5-map'); ?>">[?]</span>
            </div>
            <div style="float: left; width: 50%">
            <span class="title"><?php _e('Name size:', 'world4level-html5-map'); ?> </span><input class="" type="text" name="fontSize[<?php echo $country_id?>]" value="<?php echo isset($vals['fontSize']) ? htmlspecialchars($vals['fontSize']) : ''; ?>" />
            <span class="tipsy-q" original-title="<?php esc_attr_e('Override size of names on the map, specified in general settings', 'world4level-html5-map'); ?>">[?]</span>
            </div>
            <div class="clear"></div>

            <span class="title"><?php echo __('What to do when the area is clicked:', 'world4level-html5-map') ?> </span>
            <label><input type="radio" name="URLswitch[<?php echo $country_id?>]" id="n<?php echo $country_id?>" value="nill" <?php echo $rad_nill?> >&nbsp;<?php _e('Nothing', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="<?php esc_attr_e('Do not react on mouse clicks', 'world4level-html5-map') ?>">[?]</span></label>&nbsp;&nbsp;
            <label><input type="radio" name="URLswitch[<?php echo $country_id?>]" id="u<?php echo $country_id?>" value="other" <?php echo $rad_url?> >&nbsp;<?php _e('Open a URL', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="<?php esc_attr_e('A click on this area opens a specified URL', 'world4level-html5-map') ?>">[?]</span></label>&nbsp;&nbsp;
            <label><input type="radio" name="URLswitch[<?php echo $country_id?>]" id="m<?php echo $country_id?>" value="more" <?php echo $rad_more?> >&nbsp;<?php _e('Show more info', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="<?php esc_attr_e('Displays a side-panel with additional information (contacts, addresses etc.)', 'world4level-html5-map') ?>">[?]</span></label>&nbsp;&nbsp;
            <?php if ($has_substates) { ?>
            <label><input type="radio" name="URLswitch[<?php echo $country_id?>]" id="s<?php echo $country_id?>" value="substates" <?php echo $rad_substates?> >&nbsp;<?php _e('Open sub-map', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="<?php esc_attr_e('Open detailed map of clicked region', 'world4level-html5-map') ?>">[?]</span></label>&nbsp;&nbsp;
            <label for="openAndShowInfo"><input type="checkbox" name="openAndShowInfo[<?php echo $country_id?>]" id="openAndShowInfo" <?php if ($showInfo) echo 'checked="checked"'; ?>> <?php _e('and show more information', 'world4level-html5-map') ?></label>
            <?php } ?>

            <!--
            <label style="margin-left: 20px"><input name="URLswitchAll[<?php echo $country_id; ?>]" type="checkbox" /> Apply for all areas</label>
            -->

            <br /><br />

            <div style="<?php echo $style_input; ?>" id="stateURL<?php echo $country_id?>">
                <div style="float: left; width: 50%">
                <span class="title"><?php _e('URL', 'world4level-html5-map') ?>: </span><input style="width: 240px;" class="" type="text" name="URL[<?php echo $country_id?>]" id="URL<?php echo $country_id?>" value="<?php echo htmlspecialchars($vals['url']) ?>" />
                <span class="tipsy-q" original-title="The landing page URL">[?]</span>
                </div><div style="float: left; width: 50%">
                <label><input type="checkbox" name="isNewWindow[<?php echo $country_id?>]" id="isNewWindow" <?= (isset($vals['target']) and $vals['target']) ? 'checked="checked"' : '' ?>>
                <?php _e('Open link in a new tab', 'world4level-html5-map') ?>
                </label>&nbsp;&nbsp;&nbsp;
                <label>target <input type="input" name="target[<?php echo $country_id?>]" id="target" value="<?= (isset($vals['target']) and $vals['target']) ? htmlspecialchars($vals['target']) : '_blank' ?>">
                </label>
                </div>
                <br style="clear: both">
            </div>
            <div style="<?php echo $style_area; ?>" id="stateDescr<?php echo $country_id?>"><br />
                <span class="title"><?php _e('Description:', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="<?php esc_attr_e('The description is displayed to the right of the map and contains contacts or some other additional information', 'world4level-html5-map') ?>">[?]</span> </span>
                <?php world4level_map_plugin_wp_editor_for_tooltip(isset($map_options['info'][$country_id]) ? $map_options['info'][$country_id] : '', "descr[{$country_id}]", 'descr'.$country_id); ?>
            </div>
            <span class="title"><?php _e('Info for popup balloon:', 'world4level-html5-map') ?> <span class="tipsy-q" original-title="Info for popup balloon">[?]</span> </span>
            <?php world4level_map_plugin_wp_editor_for_tooltip($vals['popup'], "info[$country_id]", 'info'); ?>
            <br />

            <span class="title"><?php _e('Area color:', 'world4level-html5-map') ?> </span><input class="color colorSimple" type="text" name="color[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['color'])?>" style="background-color: #<?php echo $vals['color']?>"  />
            <span class="tipsy-q" original-title='<?php esc_attr_e('The color of an area.', 'world4level-html5-map') ?>'>[?]</span><div class="flamap-colorpicker"></div>
            <label><input name="colorSimpleCh[<?php echo $country_id?>]" class="colorSimpleCh" type="checkbox" /> Apply for all areas</label>
            <br />
            <span class="title"><?php _e('Area hover color:', 'world4level-html5-map') ?> </span><input class="color colorOver" type="text" name="color_[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['color2'])?>" style="background-color: #<?php echo $vals['color2']?>"  />
            <span class="tipsy-q" original-title='<?php esc_attr_e('The color of an area when the mouse cursor is over it.', 'world4level-html5-map') ?>'>[?]</span><div class="flamap-colorpicker"></div>
            <label><input name="colorOverCh[<?php echo $country_id?>]" class="colorOverCh" type="checkbox" /> Apply for all areas</label>
            <br />
            <span class="title"><?php _e('Area clicked color:', 'world4level-html5-map') ?> </span><input class="color colorClicked" type="text" name="color3[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['color3'])?>" style="background-color: #<?php echo $vals['color3']?>"  />
            <span class="tipsy-q" original-title='<?php esc_attr_e('The color of an area when it was clicked.', 'world4level-html5-map') ?>'>[?]</span><div class="flamap-colorpicker"></div>
            <label><input name="colorClickedCh[<?php echo $country_id?>]" class="colorClickedCh" type="checkbox" /> Apply for all areas</label>
            <br />

            <span class="title"><?php _e('Image URL:', 'world4level-html5-map') ?> </span>
            <input onclick="imageFieldId = this.id; tb_show('Image', 'media-upload.php?type=image&tab=library&TB_iframe=true');" class="" type="text" id="image-<?php echo $country_id?>" name="image[<?php echo $country_id?>]" value="<?php echo htmlspecialchars($vals['image']) ?>" />
            <span style="font-size: 10px; cursor: pointer;" onclick="clearImage(this)"><?php _e('clear', 'world4level-html5-map') ?></span>
            <span class="tipsy-q" original-title="<?php esc_attr_e('The path to file of the image to display in a popup', 'world4level-html5-map') ?>">[?]</span><br />
        </div>
        </fieldset>
        <?php
    }
    ?>

    <input type="hidden" name="act_type" value="world4levelhtml5map_map_plugin_states_save" />
    <p class="submit"><input type="submit" value="<?php esc_attr_e('Save Changes', 'world4level-html5-map') ?>" class="button-primary" id="submit" name="submit" <?php if (!($country_id OR $continent_id)) echo 'disabled="disabled"' ?>></p>
</form>
<?php if (!$country_id) { ?>
	<hr>
	<form method="POST" class="world4levelhtml5map-html5-map" name="action_form_import" enctype="multipart/form-data">
	<h3><?php _e('Batch export / import from CSV', 'world4level-html5-map') ?></h3>
	<input type="submit" class="button button-secondary export" value="<?php _e('Export to CSV file', 'world4level-html5-map'); ?>" />&nbsp;&nbsp;&nbsp;
	<input type="button" class="button button-secondary csv-import" value="<?php _e('Import from CSV file', 'world4level-html5-map'); ?>" />
	<br/><br/>
	<label class="world4levelhtml5map-acs-label world4levelhtml5map-closed"><?php _e('Advanced CSV settings', 'world4level-html5-map') ?></label>
	<div class="world4levelhtml5map-acs  world4levelhtml5map-closed">
		<label class="title"><?php _e('Field delimiter:', 'world4level-html5-map') ?></label> <select name="field-delimiter" style="width: 100px">
			<option value=",">,</option>
			<option value=";">;</option>
			<option value=":">:</option>
			<option value="sp"><?php _e('{SPACE}', 'world4level-html5-map') ?></option>
			<option value="tb"><?php _e('{TAB}', 'world4level-html5-map') ?></option>
		</select><br>
		<label class="title"><?php _e('Text delimiter:', 'world4level-html5-map') ?></label> <select name="text-delimiter"  style="width: 100px">
			<option value='"'>"</option>
			<option value="'">'</option>
		</select>
		<input type="file" accept="text/csv,text/comma-separated-values" name="csv-file" style="display: none">
	</div>
	<br>
	<p>
	<?php echo sprintf(__('Note that this tool exports/imports area data only. If you need to make a full backup of all settings of the map including general settings and areas, use the backup option provided on  %s page.', 'world4level-html5-map'), '<a href="?page=world4level-map-plugin-maps">' . __('"Maps"', 'world4level-html5-map') . '</a>') ?>
	</p>
	<input type="hidden" name="action" value="world4level-map-plugin-export-csv">
	</form>
<?php } ?>

<br/><br/>
<p class="help"><?php _e('* The term "area" means one of the following: continent, country, state, province, county or district, depending on the particular plugin.', 'world4level-html5-map') ?></p>
</div>

